%define oname	zram

Name:		zramstart
Version:	1.0.2
Release:	%mkrel 6
Summary:	Sets up zram swap devices on boot
License:	GPLv2
Url:		https://github.com/mystilleef/FedoraZram
Group:		System/Kernel and hardware
# Cloned from a fork till the pull below is upstreamed 
# https://github.com/mystilleef/FedoraZram/pull/22/commits/815046ac2cf0d9908c3e8683a22d033ae8f69dd0
# The fork is in  sed s/mystilleef/Zecas/
#
# git clone https://github.com/mystilleef/FedoraZram.git
# cd FedoraZram
# make tarball
#
Source0:	%{oname}-%{version}.tar.bz2
# Cherry picked from a pull request
# https://github.com/mystilleef/FedoraZram/pull/24/commits/5fb69b01ace3649363e06e39f61da6ab675bd0da
Patch1:		0001-Solve-loop-in-systemd-dependencies.patch
#
# Add zram algorithm support
Patch2:		0001-add-compressor-algorithm-support.patch
#
BuildArch:	noarch
Provides:	zramswap-enabler
Provides:	zram
# For zramstat script
Requires:	bc
Requires(post):		rpm-helper
Requires(preun):	rpm-helper

%description
zram compresses swap partitions into RAM for performance.

%prep
%setup -qn %{oname}-%{version}
%autopatch -p1

mv README.md README

%build
#nothing

%install
%make_install \
	PREFIX=%{_prefix} \
	SYSTEMD_UNITDIR=%{_unitdir}

%post
%_post_service mkzram

%preun
%_preun_service mkzram

%files
%doc README
%config(noreplace) %{_sysconfdir}/sysconfig/zram
%{_unitdir}/mkzram.service
%{_sbindir}/zramstart
%{_sbindir}/zramstat
%{_sbindir}/zramstop


%changelog
* Mon Oct 21 2024 ghibo <ghibo> 1.0.2-6.mga9
+ Revision: 2109176
- Add support for specifying zram algorimthms in /etc/sysconfig/zram

* Mon Mar 21 2022 umeabot <umeabot> 1.0.2-5.mga9
+ Revision: 1810784
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-4.mga8
+ Revision: 1508281
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 1.0.2-3.mga7
+ Revision: 1292335
- Mageia 7 Mass Rebuild

* Sun Jan 21 2018 wally <wally> 1.0.2-2.mga7
+ Revision: 1195515
- add patch to fix systemd ordering loop at boot

* Tue Dec 06 2016 zezinho <zezinho> 1.0.2-1.mga6
+ Revision: 1072845
- new version to remove  kernel warning

* Sat Apr 09 2016 zezinho <zezinho> 1.0.1-1.mga6
+ Revision: 999821
- remove lz4 patch as it was upstreamed - merged upstream a request to fix num cpus - service is renamed to mkzram by upstream

* Thu Feb 18 2016 umeabot <umeabot> 1.0.0-6.mga6
+ Revision: 965615
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 wally <wally> 1.0.0-5.mga6
+ Revision: 836177
- Enable lz4 compression if it's supported by kernel

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 745707
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-3.mga5
+ Revision: 690890
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 528897
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 wally <wally> 1.0.0-1.mga4
+ Revision: 448165
- use source tarball generated with 'make tarball' from git checkout
- use version from Makefile

* Sun Mar 31 2013 wally <wally> 0-0.git20130329.3.mga3
+ Revision: 406823
- add post and preun requires for rpm-helper

* Sat Mar 30 2013 wally <wally> 0-0.git20130329.2.mga3
+ Revision: 406596
- no need to disable debug pkg as the pkg is noarch
- provide zram
- tag config file as such

* Fri Mar 29 2013 wally <wally> 0-0.git20130329.1.mga3
+ Revision: 406499
- new snapshot
- drop unneeded patches
- disable debug pkg
- require bc for new zramstat script
- fix license

* Mon Jan 14 2013 umeabot <umeabot> 0-0.git20120916.2.mga3
+ Revision: 387775
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 24 2012 wally <wally> 0-0.git20120916.1.mga3
+ Revision: 321515
- provide zramswap-enabler
- imported package zramstart

